package org.rcisoft.business.memLeaveMessage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.memLeaveMessage.entity.*;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

/**
 * Created by cy on 2024年12月20日 下午3:35:34.
 */
public interface MemLeaveMessageService {


    /**
     * 留言
     * @param memLeaveMessage
     * @return
     */
    CyPersistModel leaveMessage(MemLeaveMessage memLeaveMessage);

    /**
     * 分页查询对话列表
     */
    IPage<MemLeaveMessage> queryTalkByPagination(CyPageInfo<MemLeaveMessage> paginationUtility, MemLeaveMessage memLeaveMessage);

    /**
     * 查询留言列表详情 1对1的
     */
    IPage<MemLeaveMessage> leaveMessageDetailByPagination(CyPageInfo<MemLeaveMessage> paginationUtility, MemLeaveMessage memLeaveMessage);

    /**
     * 分页查询留言列表
     */
    IPage<MemLeaveMessage> queryMessageByPagination(CyPageInfo<MemLeaveMessage> paginationUtility, MemLeaveMessage memLeaveMessage);
}
